#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Set
%define		pnam	Object
Summary:	Set::Object - set of objects and strings
Summary(pl.UTF-8):	Set::Object - zbiór obiektów i łańcuchów
Name:		perl-Set-Object
Version:	1.31
Release:	1
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Set/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	541a25d5e1d06fb1d2cc459118559a08
URL:		http://search.cpan.org/dist/Set-Object/
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Set::Object Perl module implements a Set of objects, that is, a
collection of objects without duplications. It is similar to a
Smalltalk IdentitySet.

%description -l pl.UTF-8
Moduł Perla Set::Object implementuje zbiór obiektów, tzn. zestaw
obiektów bez duplikatów. Jest on podobny do IdentitySet Smalltalka.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes*
%{perl_vendorarch}/Set
%dir %{perl_vendorarch}/auto/Set
%dir %{perl_vendorarch}/auto/Set/Object
%{perl_vendorarch}/auto/Set/Object/autosplit.ix
%{perl_vendorarch}/auto/Set/Object/Object.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Set/Object/Object.so
%{_mandir}/man3/*
%changelog
* Mon Jun 10 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Set-Object.git;a=log;h=master

* Mon Jun 10 2013 Jan Rękorajski <baggins@pld-linux.org> 2c623cb
- up to 1.31

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> ca90053
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Sat Jan 14 2012 zbyniu <zbyniu@pld-linux.org> 1e0d2be
- up to 1.28

* Tue Oct 11 2011 lisu <lisu@pld-linux.org> 0993aa6
- rel 4

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> a3f7531
- release 3

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 7fb19fd
- release 2

* Wed Oct 14 2009 amateja <amateja@pld-linux.org> 431f63f
- 1.27

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> 723f67b
- release 4

* Sun Mar 02 2008 radek <radek@pld-linux.org> 31669f3
- release 3

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> e151770
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> e2b5c4c
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Wed Dec 19 2007 zbyniu <zbyniu@pld-linux.org> 74ed3c5
- up to 1.22

* Thu Apr 05 2007 Jakub Bogusz <qboosh@pld-linux.org> 62597c0
- generic URL
- informative summaries
- grepable files

* Fri Mar 30 2007 radek <radek@pld-linux.org> a2aa44c
- version 1.21

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 6f323d2
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> bd16c01
- converted to UTF-8

* Fri Dec 03 2004 radek <radek@pld-linux.org> c1e1702
- autoupdated to 1.08

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> d1cdca4
- formatting

* Sat Aug 21 2004 Adam Gołębiowski <adamg@pld-linux.org> 2a61349
- updated to 1.07

* Sat Jun 05 2004 radek <radek@pld-linux.org> c432367
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

